class Driver {
	public static void main(String[] args) throws InterruptedException {
		SolarSystem solarSystem = new SolarSystem(1100, 900); 
		SpaceObject[] spaceObjects = new SpaceObject[200]; 
 
		// Initialise the sun
		spaceObjects[0] = 	new Sun(solarSystem, 0, 5, 0, "YELLOW"); 

		// Initialise planets (solarSystem, distance, diameter, velocity, colour)
		// And moons (solarSystem, planetAbout, distanceFromPlanet, diameter, sidereal period, colour)
		spaceObjects[1] = 		new Planet(solarSystem, 0.1, 0.38, 0.2, "PINK"); // mercury
		spaceObjects[2] = 		new Planet(solarSystem, 0.5, 0.95, 0.6, "WHITE"); // venus

		// Init earth + moon
		spaceObjects[3] = 		new Planet(solarSystem, 1, 1, 1, "BLUE"); // earth
			spaceObjects[4] = 		new Moon(solarSystem, (Planet)spaceObjects[3], 0.2, 0.2, 27, "LIGHT_GRAY"); // moon

		// Init mars + moons
		spaceObjects[5] = 		new Planet(solarSystem, 2, 0.53, 1.9, "RED"); // mars
			spaceObjects[6] = 		new Moon(solarSystem, (Planet)spaceObjects[5], 0.08, 0.1, 0.3, "LIGHT_GRAY"); // phobos
			spaceObjects[7] = 		new Moon(solarSystem, (Planet)spaceObjects[5], 0.1, 0.1, 1.319, "LIGHT_GRAY"); // deimos


		// Init outer solar system
		spaceObjects[8] = 		new Planet(solarSystem, 5, 4, 12, "ORANGE"); // jupiter
			spaceObjects[9] = 		new Moon(solarSystem, (Planet)spaceObjects[8], 0.6, 0.1, 1.7, "YELLOW"); // lo
			spaceObjects[10] = 		new Moon(solarSystem, (Planet)spaceObjects[8], 0.7, 0.1, 3.5, "LIGHT_GRAY"); // europa
			spaceObjects[11] = 		new Moon(solarSystem, (Planet)spaceObjects[8], 0.8, 0.3, 7.1, "LIGHT_GRAY");  // ganymede
			spaceObjects[12] = 		new Moon(solarSystem, (Planet)spaceObjects[8], 1.1, 0.3, 16.6, "LIGHT_GRAY"); // callisto

		spaceObjects[13] = 		new Planet(solarSystem, 7, 3, 29.4, "MAGENTA"); // saturn
		spaceObjects[14] = 		new Planet(solarSystem, 8, 2, 84, "BLUE"); // uranus
		spaceObjects[15] = 		new Planet(solarSystem, 9, 1.5, 165, "LIGHT_GRAY"); // neptune

		// Make Asteroid Belt
		for (int i = 16; i < 200; i++) 
			spaceObjects[i] = new Asteroid(solarSystem, "ORANGE"); 

		/**
		*	Redraw the sun, planets and moons using a main angle which corresponds to earth's current angular location
		*	Every other planet and moon will have different angles depending on their velocity (angle/velocity)
		**/
		while(true) {
			for (int i = 0; i < 200; i++) 
				spaceObjects[i].move(); 
			solarSystem.finishedDrawing();	
		}
	}
}