class Planet extends SpaceObject {
	/**
	*	Create a planet using drawSolarObject with the passed 
	*	parameters
	*/
	public Planet(SolarSystem solarSystem, double distance, double diameter, double velocity, String colour) {
		super(solarSystem, distance, diameter, velocity, colour);
		this.solarSystem.drawSolarObject(this.distance, this.angle, this.diameter, this.colour);
	} 

	/**
	*	Draw the planet again, updating based on the angle passed.
	*
	*	The angle is updated using the planet's set velocity. The
	*	planet's angle is updated relative to earth's. If the 
	*	planet has no velocity, the angle is set to 0.
	*/ 
	public void move() {
		this.solarSystem.drawSolarObject(this.distance, this.angle = (this.velocity != 0) ? (this.angleIncrement/this.velocity)+this.angle : 0, this.diameter, this.colour);
	}
}